<template>
	<view class="container">
		
		<view class="list">
			<view @click="detail(item.id)" class="item" style="border-left:none;padding: 0 30rpx;" v-for="(item,index) in list" :key="index">
				<view class="top flex flex-y-center box-pack-between">
					<view class="flex-y-center">
						<view class="name">{{item.name}}</view>
					</view>
					
					<view class="flex-y-center">
						<view class="ft26" style="color: #FF5722;margin-right: 20rpx;">
							{{item.type_id==1?'支付后显示':'首页'}}
						</view>
						<view class="del" @click.stop="del(item.id)">删除</view>
					</view>
					
				</view>
				<view class="content flex flex-y-center" hover-class="nav-hover">
					<image  mode="aspectFit"  class="content-icon" :src="URL+item.thumb"></image>
				</view>
			</view>
			<view class="no-more">没有更多内容了~</view>
		</view>
		
		
		<view class="footer-bar">
			<view class="content flex flex-center">
				<navigator url="./bannerAdd" class="btn">+新增广告</navigator>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				store_id: "",
				list: [],
				page: 1,
				is_bottom: false,
				URL:getApp().globalData.URL
			}
		},

		onLoad(options) {
			this.store_id = uni.getStorageSync("store_id");
		},

		onShow() {
			this.getData(1)
		},

		onReachBottom() {
			if (!this.is_bottom) {
				this.getData(this.page + 1)
			}
		},
		methods: {
			banner_index(){
				
			},
			
			detail(id) {
				uni.navigateTo({
					url: `./bannerAdd?id=${id}`
				})
			},
			del(id) {
				uni.showModal({
					title: '提示',
					content: '是否要删除？',
					showCancel: true,
					cancelText: '取消',
					confirmText: '确定',
					success: res => {
						if (res.confirm) {
							this.request({
								url: 'Smdcshop/banner_delect',
								data: {
									id: id,
								},
							}).then(res => {
								console.log(res, "res")
								if (res.code === 200 || res.code === "200") {
									uni.showToast({
										title: "删除成功",
										icon: "none",
									})
									setTimeout(() => {
										this.getData(1)
									}, 2000)
								}
							}).catch((res) => {
								uni.showToast({
									title: res.message,
									icon: "none",
								})
							});
						}
					},
					fail: () => {},
					complete: () => {}
				});
			},
			getData(page) {
				if (page == 1) {
					this.list = []
					this.page = 1
					this.is_bottom = false
				}
				this.request({
					url: 'Smdcshop/banner_index',
					data: {
						page,
						limit: 10,
						admin_id: uni.getStorageSync("admin_id")
					}
				}).then(res => {
					if (res.code == 200 && res.data.length) {
						this.list = this.list.concat(res.data)
						this.page = page
					} else {
						this.is_bottom = true
					}
				})
			}

		}
	}
</script>

<style>
	@import url("./static/css/common.css");

	.content-icon {
		width: 100%;
		height: 400rpx;
	}

	.del {
		height: 44rpx;
		line-height: 44rpx;
		padding: 0 15rpx;
		font-size: 24rpx;
		background-color: #FF5722;
		/* margin-right: 25rpx; */
		color: #fff;
		border-radius: 4rpx;
	}

	page {
		background-color: #F4F5F7;
	}

	.list {
		padding: 30rpx 25rpx;
	}

	.list .item {
		border-radius: 8rpx;
		overflow: hidden;
		padding-left: 30rpx;
		border-left: 8rpx solid #247EFF;
		background-color: #fff;
		margin-bottom: 30rpx;
	}

	.list .item .top {
		/* height: 80rpx; */
		border-bottom: 1rpx solid #f5f5f5;
		padding: 20rpx 0;
	}

	.list .item .top .name {
		font-size: 30rpx;
		/* line-height: 80rpx; */
		font-weight: bold;
		max-width: 389rpx;
	}

	.list .item .top .type-btn {
		zoom: 0.7;
		margin-right: 25rpx;
	}

	.list .item .content {
		padding: 20rpx 0 24rpx;
	}

	.list .item .content .cell {
		flex: none;
		width: 50%;
		box-sizing: border-box;
		padding-right: 30rpx;
		font-size: 26rpx;
		line-height: 37rpx;
		color: #666;
	}

	.list .item .content .cell .title {
		color: #99A0AD;
	}
</style>
